# Place rpm-macros into proper location.
%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; /bin/echo $d)

Name:		fdupes
Version:	2.3.0
Release:	%mkrel 1
Summary:	Identify or delete duplicate files
License:	BSD like
Group:		File tools
Url:		https://github.com/adrianlopezroche/fdupes
Source0:	https://github.com/adrianlopezroche/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:	fdupes.macros
BuildRequires:  pkgconfig(libpcre2-32)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(sqlite3) 

%description
FDUPES is a program for identifying or deleting duplicate files residing within
specified directories.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install PREFIX=/usr

# rpm macros
%{__install} -Dpm 0644 %{SOURCE1}		\
	%{buildroot}%{macrosdir}/macros.%{name}

%check
./%{name} testdir
./%{name} --omitfirst testdir
./%{name} --recurse testdir
./%{name} --size testdir

%files
%{_bindir}/%{name}
%{_mandir}/man1/fdupes.1*
%{_mandir}/man7/fdupes-help.7*
%{macrosdir}/macros.fdupes


%changelog
* Fri Feb 02 2024 tex 2.3.0-1pclos2024
- New version 2.3.0
